
var g_sDriver = "AV & Custom Systems (HTTP)";
var g_sHost = "192.168.0.89";
var g_nPort = 123;
var g_nScriptMode = 0;
var g_nDisableQueue = 0;
var g_nTrySendCount = 0;
var g_nBackGroundMode = 0;

var g_nSendCount = 0;


IR.AddListener(IR.EVENT_START,0,function()
{
   UpdateParameters();
});


IR.AddListener(IR.EVENT_WORK,0,function()
{

});


IR.AddListener(IR.EVENT_EXIT,0,function()
{

});


function Send()
{
   IR.GetDevice(g_sDriver).Send(['GET,Hello' + g_nSendCount++ + '\r\n']);       
}

function UpdateParameters()
{
   IR.SetVariable("Global.DisableQueue", g_nDisableQueue);
   IR.SetVariable("Global.TrySendCount", g_nTrySendCount);

   IR.GetDevice(g_sDriver).SetParameters(
   {
      Host: g_sHost, 
      Port: g_nPort, 
      ScriptMode: g_nScriptMode,
      DisableQueue: g_nDisableQueue,
      TrySendCount: g_nTrySendCount,
      BackGroundMode: g_nBackGroundMode
   }
   );
}


function DisableQueue()
{
   g_nDisableQueue = 1;
   UpdateParameters();
}


function EnableQueue()
{
   g_nDisableQueue = 0;
   UpdateParameters();
}



function TrySendCount0()
{
   g_nTrySendCount = 0;
   UpdateParameters();
}


function TrySendCount1()
{
   g_nTrySendCount = 1;
   UpdateParameters();
}
